import {defineStore} from "pinia";
export const useMapStore = defineStore('map',{
    state:() =>({
        layerShow:false,
        currentLayerList:[],
        whiteMoldState:false,
        camera:{
            heading:null,
            tilt:null,
            position:{
                x:null,
                y:null,
                z:null
            }
        },
        layerDetailObj:{},
        layerDetailShow:false,
    }),
    persist:true,
    actions:{
      setCameraInfo(data){
          this.camera = data
      }
    }
})