export const myCollectionDetailDialogResourceForm ={
    formItemsArr:[
        {
            type:'input',
            label:'资源名称',
            modelValue:'NAME'
        },
        {
            type:'input',
            label:'发布单位',
            modelValue:'UNIT'
        },
        {
            type:'input',
            label:'资源分类',
            modelValue: 'R_TYPE'
        },
        {
            type:'input',
            label:'行业大类',
            modelValue: 'MENU'
        },
        {
            type:'input',
            label:'资源中类',
            modelValue: 'CLASSNAME'
        },
        {
            type:'input',
            label:'资源小类',
            modelValue: 'SMALL'
        },
        {
            type:'input',
            label:'发布人员',
            modelValue: 'REG_USER'
        },
        {
            type:'input',
            label:'发布时间',
            modelValue: 'REG_TIME'
        },
        {
            type:'input',
            label:'更新人员',
            modelValue: 'UPDATE_USER'
        },
        {
            type:'input',
            label:'更新时间',
            modelValue: 'UPDATE_TIME'
        },
        {
            type:'textarea',
            label:'资源说明',
            colClass:'el-col-24',
            modelValue: 'DES'
        },
    ],
    formAttrs:{
        'label-width':'10em',
        disabled:true
    }
}
export const myCollectionDetailDialogServiceForm ={
    formItemsArr:[
        {
            type:'input',
            label:'服务名称',
            modelValue:'S_NAME'
        },
        {
            type:'input',
            label:'所属单位',
            modelValue:'UNIT'
        },
        {
            type:'input',
            label:'更新时间',
            modelValue: 'UPDATE_TIME'
        },
        {
            type:'input',
            label:'服务类型',
            modelValue: 'SERVICE_TYPE'
        },
        {
            type:'input',
            label:'服务地址',
            modelValue: 'serviceUrl'
        },
    ],
    formAttrs:{
        'label-width':'10em',
        disabled:true
    }
}
export const resourceDetailDialogBmForm = {
    formItemsArr:[
        {
            type:'input',
            label:'资源编码',
            modelValue:'CODE_DIR'
        },
        {
            type:'input',
            label:'元数据编码',
            modelValue: 'CODE'
        },
        {
            type:'input',
            label:'数据集中文全称',
            modelValue: 'FCHNAME'
        },
        {
            type:'input',
            label:'数据集英文全称',
            modelValue: 'FEGNAME'
        },
        {
            type:'input',
            label:'版本号',
            modelValue: 'VERSION'
        },
        {
            type:'input',
            label:'出版日期',
            modelValue: 'PUBLISH'
        },
    ],
    formAttrs:{
        'label-width':'10em',
        disabled:true
    }
}
export const resourceDetailDialogDataIntroForm = {
    formItemsArr:[
        {
            type:'input',
            label:'比例尺',
            modelValue:'SCALE'
        },
        {
            type:'input',
            label:'分辨率',
            modelValue: 'PPI'
        },
        {
            type:'input',
            label:'空间数据表现类型',
            modelValue: 'KJDATATYPE'
        },
        {
            type:'input',
            label:'数据格式',
            modelValue: 'DATATYPE'
        },
        {
            type:'input',
            label:'数据集语言',
            modelValue: 'DATALANGUAGE'
        },
    ],
    formAttrs:{
        'label-width':'10em',
        disabled:true
    }
}
export const resourceDetailDialogDlForm = {
    formItemsArr:[
        {
            type:'input',
            label:'西部边界坐标',
            modelValue:'WEST'
        },
        {
            type:'input',
            label:'东部边界坐标',
            modelValue:'EAST'
        },
        {
            type:'input',
            label:'南部边界坐标',
            modelValue:'SOUTH'
        },
        {
            type:'input',
            label:'北部边界坐标',
            modelValue:'NORTH'
        },
        {
            type:'input',
            label:'地理区域名称',
            modelValue:'DISTRICT_NAME'
        },
    ],
    formAttrs:{
        'label-width':'10em',
        disabled:true
    }
}
export const resourceDetailDialogLimitForm = {
    formItemsArr:[
        {
            type:'input',
            label:'访问限制',
            modelValue:'CALLABLE'
        },
        {
            type:'input',
            label:'使用限制',
            modelValue:'USABLE'
        }
    ],
    formAttrs:{
        'label-width':'10em',
        disabled:true
    }
}
export const resourceDetailDialogSjjForm = {
    formItemsArr:[
        {
            type:'input',
            label:'摘要',
            modelValue:'ABSTRACT'
        },
        {
            type:'input',
            label:'目的',
            modelValue: 'PURPOSE'
        },
        {
            type:'input',
            label:'进展',
            modelValue: 'PROGRESS'
        },
        {
            type:'input',
            label:'维护及更新频率',
            modelValue: 'UPDATEFREQUENCY'
        },
        {
            type:'input',
            label:'专题分类',
            modelValue: 'TITLE'
        },
        {
            type:'input',
            label:'关键字',
            modelValue: 'KEYWORDS'
        },
    ],
    formAttrs:{
        'label-width':'10em',
        disabled:true
    }
}
export const resourceDetailDialogUnitForm = {
    formItemsArr:[
        {
            type:'input',
            label:'单位名称',
            modelValue:'UNIT_NAME'
        },
        {
            type:'input',
            label:'单位祥址',
            modelValue: 'ADDRESS'
        },
        {
            type:'input',
            label:'负责人名称',
            modelValue: 'MANAGER'
        },
        {
            type:'input',
            label:'邮政编码',
            modelValue: 'ZIPCODE'
        },
        {
            type:'input',
            label:'电子邮箱',
            modelValue: 'MAIL'
        },
        {
            type:'input',
            label:'电话号码',
            modelValue: 'TELEPHONE'
        },
        {
            type:'input',
            label:'传真号码',
            modelValue: 'FAXNUM'
        },
    ],
    formAttrs:{
        'label-width':'10em',
        disabled:true
    }
}


